Page MenuHomePhabricator

Error: Call to a member function addModules() on null (from ScoreFormatter.php)
Closed, ResolvedPublicPRODUCTION ERROR

Description

Error

MediaWiki version: 1.36.0-wmf.4

message
Error: Call to a member function addModules() on null
exception.trace
#0 /srv/mediawiki/php-1.36.0-wmf.4/extensions/Score/includes/ScoreFormatter.php(83): Score::renderScore(string, array, Parser)
#1 /srv/mediawiki/php-1.36.0-wmf.4/extensions/Score/includes/ScoreFormatter.php(69): ScoreFormatter->formatAsHtml(string)
#2 /srv/mediawiki/php-1.36.0-wmf.4/extensions/Wikibase/lib/includes/Formatters/DispatchingValueFormatter.php(75): ScoreFormatter->format(DataValues\StringValue)
#3 /srv/mediawiki/php-1.36.0-wmf.4/extensions/Wikibase/lib/includes/Formatters/PropertyValueSnakFormatter.php(148): Wikibase\Lib\Formatters\DispatchingValueFormatter->formatValue(DataValues\StringValue, string)
#4 /srv/mediawiki/php-1.36.0-wmf.4/extensions/Wikibase/lib/includes/Formatters/PropertyValueSnakFormatter.php(117): Wikibase\Lib\Formatters\PropertyValueSnakFormatter->formatValue(DataValues\StringValue, string)
#5 /srv/mediawiki/php-1.36.0-wmf.4/extensions/Wikibase/lib/includes/Formatters/DispatchingSnakFormatter.php(151): Wikibase\Lib\Formatters\PropertyValueSnakFormatter->formatSnak(Wikibase\DataModel\Snak\PropertyValueSnak)
#6 /srv/mediawiki/php-1.36.0-wmf.4/extensions/Wikibase/lib/includes/Formatters/ErrorHandlingSnakFormatter.php(67): Wikibase\Lib\Formatters\DispatchingSnakFormatter->formatSnak(Wikibase\DataModel\Snak\PropertyValueSnak)
#7 /srv/mediawiki/php-1.36.0-wmf.4/extensions/Wikibase/repo/includes/Api/FormatSnakValue.php(131): Wikibase\Lib\Formatters\ErrorHandlingSnakFormatter->formatSnak(Wikibase\DataModel\Snak\PropertyValueSnak)
#8 /srv/mediawiki/php-1.36.0-wmf.4/extensions/Wikibase/repo/includes/Api/FormatSnakValue.php(108): Wikibase\Repo\Api\FormatSnakValue->formatValue(array, DataValues\StringValue, NULL)
#9 /srv/mediawiki/php-1.36.0-wmf.4/includes/api/ApiMain.php(1593): Wikibase\Repo\Api\FormatSnakValue->execute()
#10 /srv/mediawiki/php-1.36.0-wmf.4/includes/api/ApiMain.php(529): ApiMain->executeAction()
#11 /srv/mediawiki/php-1.36.0-wmf.4/includes/api/ApiMain.php(500): ApiMain->executeActionWithErrorHandling()
#12 /srv/mediawiki/php-1.36.0-wmf.4/api.php(90): ApiMain->execute()
#13 /srv/mediawiki/php-1.36.0-wmf.4/api.php(45): wfApiMain()
#14 /srv/mediawiki/w/api.php(3): require(string)
#15 {main}

Impact

  • seems to be rather rare with only 40 incidents in the last week, but they seem only to be very unevenly distributed with 34 of those 40 happening within 30 minutes of each other and the remaining 6 being very spread out

Notes

  • seems to have started on 2020-08-11:

Details

Request ID
3a6fec43-5cf6-491e-b983-8b3cdb599881
Request URL
https://www.wikidata.org/w/api.php?action=wbformatvalue&format=json&datavalue=%7B%22value%22%3A%22%5C%5Crelative%20b%27%27%20%7Bc%20g%27%7D%22%2C%22type%22%3A%22string%22%7D&generate=text%2Fhtml%3B%20disposition%3Dverbose-preview&property=P6883&errorformat=plaintext&uselang=en&options=%7B%22lang%22%3A%22en%22%7D

Event Timeline

Michael created this task.Aug 19 2020, 12:19 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptAug 19 2020, 12:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 621271 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Score@master] Don’t try to use parser output if it’s null

https://gerrit.wikimedia.org/r/621271

Change 621271 merged by jenkins-bot:
[mediawiki/extensions/Score@master] Don’t try to use parser output if it’s null

https://gerrit.wikimedia.org/r/621271

Should be fixed for next week’s train. (Doesn’t seem common enough to warrant backporting, IMHO.)

Krinkle renamed this task from Call to a member function addModules() on null to Error: Call to a member function addModules() on null (from ScoreFormatter.php).Sep 22 2020, 10:51 PM
Krinkle updated the task description. (Show Details)
Krinkle edited Stack Trace. (Show Details)
Krinkle closed this task as Resolved.Sep 22 2020, 10:54 PM
Krinkle claimed this task.
Krinkle added a subscriber: Krinkle.

Logstash query exception.trace:"Score" AND exception.message:"Call to a member" confirms no reports after August 22.

Change 640762 had a related patch set uploaded (by Paladox; owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Score@REL1_35] Don’t try to use parser output if it’s null

https://gerrit.wikimedia.org/r/640762

Change 640762 merged by jenkins-bot:
[mediawiki/extensions/Score@REL1_35] Don’t try to use parser output if it’s null

https://gerrit.wikimedia.org/r/640762